> For the complete documentation index, see [llms.txt](https://docs.mediarithmics.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mediarithmics.io/api-reference/plugin/presets.md).

# Presets

Operations related to **Plugin Presets**, the configuration templates that simplify Feed creation by saving technical details (API keys, external account information) once, allowing business users to activate segments without knowing underlying technical details.

Relevant documentation:

* [Presets](https://developer.mediarithmics.io/advanced-usages/plugins/presets)
* [Feed Presets](https://userguides.mediarithmics.io/activation/feeds/feed-presets)

## GET /plugins.versions.presets

> Get a list of Plugin Presets

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Presets","description":"Operations related to **Plugin Presets**, the configuration templates that simplify Feed creation by saving technical details (API keys, external account information) once, allowing business users to activate segments without knowing underlying technical details.\n\nRelevant documentation:\n- [Presets](https://developer.mediarithmics.io/advanced-usages/plugins/presets)\n- [Feed Presets](https://userguides.mediarithmics.io/activation/feeds/feed-presets)\n"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/plugins.versions.presets":{"get":{"summary":"Get a list of Plugin Presets","description":"","tags":["Presets"],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"total":{"type":"integer"},"count":{"type":"integer"},"first_result":{"type":"integer"},"data":{"type":"array","items":{"$ref":"#/components/schemas/PluginPresetResource"}},"max_results":{"type":"integer"},"status":{"type":"string","enum":["ok"]}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"findPluginPresets","parameters":[{"description":"ID of the organisation","schema":{"type":"string"},"explode":true,"style":"form","in":"query","name":"organisation_id","required":false},{"required":false,"name":"plugin_type","explode":true,"in":"query","style":"form","schema":{"$ref":"#/components/schemas/PluginType"}},{"in":"query","required":false,"explode":true,"name":"archived","style":"form","schema":{"type":"boolean"}},{"explode":true,"required":false,"name":"first_result","in":"query","description":"Offset from which the search must be performed","schema":{"type":"integer","format":"int32"},"style":"form"},{"name":"max_results","style":"form","in":"query","explode":true,"schema":{"type":"integer","format":"int32"},"description":"Number of maximum items that shall be return by this search","required":false},{"description":"ID of the feed destination to filter plugin presets","explode":true,"required":false,"schema":{"type":"string"},"name":"destination_id","style":"form","in":"query"},{"schema":{"type":"integer","format":"int64"},"in":"query","explode":true,"style":"form","name":"segment_id","required":false,"description":"ID of the audience segment to filter available plugin presets. For clean room segments, only whitelisted plugin presets are returned. For regular segments, presets from unavailable plugins are excluded."},{"required":false,"schema":{"type":"string"},"description":"ID of the plugin preset","style":"form","name":"id","explode":true,"in":"query"}]}}},"components":{"schemas":{"PluginPresetResource":{"type":"object","properties":{"description":{"type":"string","readOnly":false},"organisation_id":{"type":"string","readOnly":false},"plugin_type":{"$ref":"#/components/schemas/PluginType"},"destination_id":{"type":"string","readOnly":false},"selected_identifying_resources":{"type":"array","items":{"$ref":"#/components/schemas/PluginCompatibleIdentifyingResourceResource"},"readOnly":false},"plugin_version_id":{"type":"string","readOnly":false},"creation_ts":{"readOnly":false,"default":0,"format":"int64","type":"integer"},"id":{"type":"string","readOnly":true},"plugin_id":{"type":"string","readOnly":false},"properties":{"type":"array","items":{"$ref":"#/components/schemas/PresetPropertyResource"},"readOnly":false},"archived":{"type":"boolean","default":false,"readOnly":false},"name":{"type":"string","readOnly":false}},"required":["archived","creation_ts","description","id","name","organisation_id","plugin_id","plugin_type","plugin_version_id","properties"]},"PluginType":{"type":"string","enum":["DISPLAY_CAMPAIGN_EDITOR","EMAIL_CAMPAIGN_EDITOR","EMAIL_TEMPLATE_EDITOR","EMAIL_TEMPLATE_RENDERER","EMAIL_ROUTER","DISPLAY_AD_EDITOR","DISPLAY_AD_RENDERER","RECOMMENDER","VIDEO_AD_EDITOR","VIDEO_AD_RENDERER","STYLE_SHEET","AUDIENCE_SEGMENT_EXTERNAL_FEED","AUDIENCE_SEGMENT_TAG_FEED","BID_OPTIMIZATION_ENGINE","ATTRIBUTION_PROCESSOR","ACTIVITY_ANALYZER","DATA_CONNECTOR","SCENARIO_NODE_PROCESSOR","ML_FUNCTION","DATAMART_FUNCTION","COMPUTED_FIELD_FUNCTION","INTEGRATION_BATCH","SCENARIO_CUSTOM_ACTION","CONTEXTUAL_LIST_TAG_FEED"],"readOnly":false},"PluginCompatibleIdentifyingResourceResource":{"discriminator":{"propertyName":"type","mapping":{"USER_ACCOUNT":"#/components/schemas/PluginCompatibleIdentifyingAccountResource","USER_EMAIL":"#/components/schemas/PluginCompatibleIdentifyingEmailResource","USER_DEVICE_TECHNICAL_ID":"#/components/schemas/PluginCompatibleIdentifyingDeviceTechnicalIdResource","USER_PROFILE":"#/components/schemas/PluginCompatibleIdentifyingProfileResource"}},"oneOf":[{"$ref":"#/components/schemas/PluginCompatibleIdentifyingAccountResource"},{"$ref":"#/components/schemas/PluginCompatibleIdentifyingEmailResource"},{"$ref":"#/components/schemas/PluginCompatibleIdentifyingDeviceTechnicalIdResource"},{"$ref":"#/components/schemas/PluginCompatibleIdentifyingProfileResource"}],"properties":{"type":{"type":"string","enum":["USER_ACCOUNT","USER_EMAIL","USER_DEVICE_TECHNICAL_ID","USER_PROFILE"]}},"required":["type"]},"PluginCompatibleIdentifyingAccountResource":{"type":"object","properties":{"created_by":{"type":"string","readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"plugin_id":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":true},"id":{"type":"string","readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"compartment_type":{"$ref":"#/components/schemas/UserAccountCompartmentType"},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"identity_graph_id":{"type":"string","readOnly":false},"compartment_id":{"type":"string","readOnly":false}},"required":["compartment_type","created_by","created_ts","id","plugin_id","plugin_version_id"]},"UserAccountCompartmentType":{"type":"string","enum":["CUSTOM_COMPARTMENT_ID","NETWORK_USER_ID"],"readOnly":false},"PluginCompatibleIdentifyingEmailResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"created_by":{"type":"string","readOnly":true},"plugin_id":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":true},"identity_graph_id":{"type":"string","readOnly":false}},"required":["created_by","created_ts","id","plugin_id","plugin_version_id"]},"PluginCompatibleIdentifyingDeviceTechnicalIdResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"created_by":{"type":"string","readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"registry_id":{"type":"string","readOnly":false},"registry_type":{"$ref":"#/components/schemas/DeviceIdRegistryType"},"identity_graph_id":{"type":"string","readOnly":false},"plugin_id":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true}},"required":["created_by","created_ts","id","plugin_id","plugin_version_id","registry_type"]},"DeviceIdRegistryType":{"type":"string","enum":["INSTALLATION_ID","MUM_ID","NETWORK_DEVICE_ID","CUSTOM_DEVICE_ID","MOBILE_ADVERTISING_ID","MOBILE_VENDOR_ID","TV_ADVERTISING_ID","IP_V4_ADDRESS_ID","IP_V6_ADDRESS_ID"],"readOnly":false},"PluginCompatibleIdentifyingProfileResource":{"type":"object","properties":{"created_by":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":true},"plugin_id":{"type":"string","readOnly":true},"include_in_platform_calls":{"type":"boolean","default":false,"readOnly":false},"id":{"type":"string","readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"compartment_id":{"type":"string","readOnly":false},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"identity_graph_id":{"type":"string","readOnly":false},"last_modified_by":{"type":"string","readOnly":true}},"required":["created_by","created_ts","id","include_in_platform_calls","plugin_id","plugin_version_id"]},"PresetPropertyResource":{"type":"object","properties":{"technical_name":{"type":"string","readOnly":false},"value":{"$ref":"#/components/schemas/PropertyValueResource"}},"required":["technical_name","value"]},"PropertyValueResource":{"type":"object"},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /plugins/{plugin\_id}/versions/{plugin\_version\_id}/presets

> Get a list of Plugin Presets filtered by plugin version id

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Presets","description":"Operations related to **Plugin Presets**, the configuration templates that simplify Feed creation by saving technical details (API keys, external account information) once, allowing business users to activate segments without knowing underlying technical details.\n\nRelevant documentation:\n- [Presets](https://developer.mediarithmics.io/advanced-usages/plugins/presets)\n- [Feed Presets](https://userguides.mediarithmics.io/activation/feeds/feed-presets)\n"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/plugins/{plugin_id}/versions/{plugin_version_id}/presets":{"get":{"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"first_result":{"type":"integer"},"data":{"type":"array","items":{"$ref":"#/components/schemas/PluginPresetResource"}},"count":{"type":"integer"},"max_results":{"type":"integer"},"status":{"type":"string","enum":["ok"]},"total":{"type":"integer"}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"description":"","parameters":[{"explode":false,"description":"ID of the plugin","schema":{"type":"string"},"name":"plugin_id","in":"path","required":true,"style":"simple"},{"style":"simple","explode":false,"name":"plugin_version_id","required":true,"in":"path","schema":{"type":"string"},"description":"ID of the plugin version"},{"in":"query","schema":{"type":"string"},"name":"organisation_id","explode":true,"required":false,"description":"ID of the organisation","style":"form"},{"in":"query","name":"archived","schema":{"type":"boolean"},"style":"form","explode":true,"required":false},{"in":"query","schema":{"type":"integer","format":"int32"},"explode":true,"required":false,"description":"Offset from which the search must be performed","style":"form","name":"first_result"},{"schema":{"type":"integer","format":"int32"},"explode":true,"description":"Number of maximum items that shall be return by this search","style":"form","name":"max_results","in":"query","required":false}],"tags":["Presets"],"operationId":"findPluginPresetsByPluginVersionId","summary":"Get a list of Plugin Presets filtered by plugin version id"}}},"components":{"schemas":{"PluginPresetResource":{"type":"object","properties":{"description":{"type":"string","readOnly":false},"organisation_id":{"type":"string","readOnly":false},"plugin_type":{"$ref":"#/components/schemas/PluginType"},"destination_id":{"type":"string","readOnly":false},"selected_identifying_resources":{"type":"array","items":{"$ref":"#/components/schemas/PluginCompatibleIdentifyingResourceResource"},"readOnly":false},"plugin_version_id":{"type":"string","readOnly":false},"creation_ts":{"readOnly":false,"default":0,"format":"int64","type":"integer"},"id":{"type":"string","readOnly":true},"plugin_id":{"type":"string","readOnly":false},"properties":{"type":"array","items":{"$ref":"#/components/schemas/PresetPropertyResource"},"readOnly":false},"archived":{"type":"boolean","default":false,"readOnly":false},"name":{"type":"string","readOnly":false}},"required":["archived","creation_ts","description","id","name","organisation_id","plugin_id","plugin_type","plugin_version_id","properties"]},"PluginType":{"type":"string","enum":["DISPLAY_CAMPAIGN_EDITOR","EMAIL_CAMPAIGN_EDITOR","EMAIL_TEMPLATE_EDITOR","EMAIL_TEMPLATE_RENDERER","EMAIL_ROUTER","DISPLAY_AD_EDITOR","DISPLAY_AD_RENDERER","RECOMMENDER","VIDEO_AD_EDITOR","VIDEO_AD_RENDERER","STYLE_SHEET","AUDIENCE_SEGMENT_EXTERNAL_FEED","AUDIENCE_SEGMENT_TAG_FEED","BID_OPTIMIZATION_ENGINE","ATTRIBUTION_PROCESSOR","ACTIVITY_ANALYZER","DATA_CONNECTOR","SCENARIO_NODE_PROCESSOR","ML_FUNCTION","DATAMART_FUNCTION","COMPUTED_FIELD_FUNCTION","INTEGRATION_BATCH","SCENARIO_CUSTOM_ACTION","CONTEXTUAL_LIST_TAG_FEED"],"readOnly":false},"PluginCompatibleIdentifyingResourceResource":{"discriminator":{"propertyName":"type","mapping":{"USER_ACCOUNT":"#/components/schemas/PluginCompatibleIdentifyingAccountResource","USER_EMAIL":"#/components/schemas/PluginCompatibleIdentifyingEmailResource","USER_DEVICE_TECHNICAL_ID":"#/components/schemas/PluginCompatibleIdentifyingDeviceTechnicalIdResource","USER_PROFILE":"#/components/schemas/PluginCompatibleIdentifyingProfileResource"}},"oneOf":[{"$ref":"#/components/schemas/PluginCompatibleIdentifyingAccountResource"},{"$ref":"#/components/schemas/PluginCompatibleIdentifyingEmailResource"},{"$ref":"#/components/schemas/PluginCompatibleIdentifyingDeviceTechnicalIdResource"},{"$ref":"#/components/schemas/PluginCompatibleIdentifyingProfileResource"}],"properties":{"type":{"type":"string","enum":["USER_ACCOUNT","USER_EMAIL","USER_DEVICE_TECHNICAL_ID","USER_PROFILE"]}},"required":["type"]},"PluginCompatibleIdentifyingAccountResource":{"type":"object","properties":{"created_by":{"type":"string","readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"plugin_id":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":true},"id":{"type":"string","readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"compartment_type":{"$ref":"#/components/schemas/UserAccountCompartmentType"},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"identity_graph_id":{"type":"string","readOnly":false},"compartment_id":{"type":"string","readOnly":false}},"required":["compartment_type","created_by","created_ts","id","plugin_id","plugin_version_id"]},"UserAccountCompartmentType":{"type":"string","enum":["CUSTOM_COMPARTMENT_ID","NETWORK_USER_ID"],"readOnly":false},"PluginCompatibleIdentifyingEmailResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"created_by":{"type":"string","readOnly":true},"plugin_id":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":true},"identity_graph_id":{"type":"string","readOnly":false}},"required":["created_by","created_ts","id","plugin_id","plugin_version_id"]},"PluginCompatibleIdentifyingDeviceTechnicalIdResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"created_by":{"type":"string","readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"registry_id":{"type":"string","readOnly":false},"registry_type":{"$ref":"#/components/schemas/DeviceIdRegistryType"},"identity_graph_id":{"type":"string","readOnly":false},"plugin_id":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true}},"required":["created_by","created_ts","id","plugin_id","plugin_version_id","registry_type"]},"DeviceIdRegistryType":{"type":"string","enum":["INSTALLATION_ID","MUM_ID","NETWORK_DEVICE_ID","CUSTOM_DEVICE_ID","MOBILE_ADVERTISING_ID","MOBILE_VENDOR_ID","TV_ADVERTISING_ID","IP_V4_ADDRESS_ID","IP_V6_ADDRESS_ID"],"readOnly":false},"PluginCompatibleIdentifyingProfileResource":{"type":"object","properties":{"created_by":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":true},"plugin_id":{"type":"string","readOnly":true},"include_in_platform_calls":{"type":"boolean","default":false,"readOnly":false},"id":{"type":"string","readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"compartment_id":{"type":"string","readOnly":false},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"identity_graph_id":{"type":"string","readOnly":false},"last_modified_by":{"type":"string","readOnly":true}},"required":["created_by","created_ts","id","include_in_platform_calls","plugin_id","plugin_version_id"]},"PresetPropertyResource":{"type":"object","properties":{"technical_name":{"type":"string","readOnly":false},"value":{"$ref":"#/components/schemas/PropertyValueResource"}},"required":["technical_name","value"]},"PropertyValueResource":{"type":"object"},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /plugins/{plugin\_id}/versions/{plugin\_version\_id}/presets

> Create a new Plugin Preset

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Presets","description":"Operations related to **Plugin Presets**, the configuration templates that simplify Feed creation by saving technical details (API keys, external account information) once, allowing business users to activate segments without knowing underlying technical details.\n\nRelevant documentation:\n- [Presets](https://developer.mediarithmics.io/advanced-usages/plugins/presets)\n- [Feed Presets](https://userguides.mediarithmics.io/activation/feeds/feed-presets)\n"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/plugins/{plugin_id}/versions/{plugin_version_id}/presets":{"post":{"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/PluginPresetResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"tags":["Presets"],"summary":"Create a new Plugin Preset","requestBody":{"description":"The plugin preset to create","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PluginPresetResource"}}},"required":true},"operationId":"createPluginPreset","description":"","parameters":[{"explode":false,"style":"simple","description":"ID of the plugin","schema":{"type":"string"},"name":"plugin_id","in":"path","required":true},{"description":"ID of the plugin version","schema":{"type":"string"},"explode":false,"style":"simple","in":"path","required":true,"name":"plugin_version_id"}]}}},"components":{"schemas":{"PluginPresetResource":{"type":"object","properties":{"description":{"type":"string","readOnly":false},"organisation_id":{"type":"string","readOnly":false},"plugin_type":{"$ref":"#/components/schemas/PluginType"},"destination_id":{"type":"string","readOnly":false},"selected_identifying_resources":{"type":"array","items":{"$ref":"#/components/schemas/PluginCompatibleIdentifyingResourceResource"},"readOnly":false},"plugin_version_id":{"type":"string","readOnly":false},"creation_ts":{"readOnly":false,"default":0,"format":"int64","type":"integer"},"id":{"type":"string","readOnly":true},"plugin_id":{"type":"string","readOnly":false},"properties":{"type":"array","items":{"$ref":"#/components/schemas/PresetPropertyResource"},"readOnly":false},"archived":{"type":"boolean","default":false,"readOnly":false},"name":{"type":"string","readOnly":false}},"required":["archived","creation_ts","description","id","name","organisation_id","plugin_id","plugin_type","plugin_version_id","properties"]},"PluginType":{"type":"string","enum":["DISPLAY_CAMPAIGN_EDITOR","EMAIL_CAMPAIGN_EDITOR","EMAIL_TEMPLATE_EDITOR","EMAIL_TEMPLATE_RENDERER","EMAIL_ROUTER","DISPLAY_AD_EDITOR","DISPLAY_AD_RENDERER","RECOMMENDER","VIDEO_AD_EDITOR","VIDEO_AD_RENDERER","STYLE_SHEET","AUDIENCE_SEGMENT_EXTERNAL_FEED","AUDIENCE_SEGMENT_TAG_FEED","BID_OPTIMIZATION_ENGINE","ATTRIBUTION_PROCESSOR","ACTIVITY_ANALYZER","DATA_CONNECTOR","SCENARIO_NODE_PROCESSOR","ML_FUNCTION","DATAMART_FUNCTION","COMPUTED_FIELD_FUNCTION","INTEGRATION_BATCH","SCENARIO_CUSTOM_ACTION","CONTEXTUAL_LIST_TAG_FEED"],"readOnly":false},"PluginCompatibleIdentifyingResourceResource":{"discriminator":{"propertyName":"type","mapping":{"USER_ACCOUNT":"#/components/schemas/PluginCompatibleIdentifyingAccountResource","USER_EMAIL":"#/components/schemas/PluginCompatibleIdentifyingEmailResource","USER_DEVICE_TECHNICAL_ID":"#/components/schemas/PluginCompatibleIdentifyingDeviceTechnicalIdResource","USER_PROFILE":"#/components/schemas/PluginCompatibleIdentifyingProfileResource"}},"oneOf":[{"$ref":"#/components/schemas/PluginCompatibleIdentifyingAccountResource"},{"$ref":"#/components/schemas/PluginCompatibleIdentifyingEmailResource"},{"$ref":"#/components/schemas/PluginCompatibleIdentifyingDeviceTechnicalIdResource"},{"$ref":"#/components/schemas/PluginCompatibleIdentifyingProfileResource"}],"properties":{"type":{"type":"string","enum":["USER_ACCOUNT","USER_EMAIL","USER_DEVICE_TECHNICAL_ID","USER_PROFILE"]}},"required":["type"]},"PluginCompatibleIdentifyingAccountResource":{"type":"object","properties":{"created_by":{"type":"string","readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"plugin_id":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":true},"id":{"type":"string","readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"compartment_type":{"$ref":"#/components/schemas/UserAccountCompartmentType"},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"identity_graph_id":{"type":"string","readOnly":false},"compartment_id":{"type":"string","readOnly":false}},"required":["compartment_type","created_by","created_ts","id","plugin_id","plugin_version_id"]},"UserAccountCompartmentType":{"type":"string","enum":["CUSTOM_COMPARTMENT_ID","NETWORK_USER_ID"],"readOnly":false},"PluginCompatibleIdentifyingEmailResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"created_by":{"type":"string","readOnly":true},"plugin_id":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":true},"identity_graph_id":{"type":"string","readOnly":false}},"required":["created_by","created_ts","id","plugin_id","plugin_version_id"]},"PluginCompatibleIdentifyingDeviceTechnicalIdResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"created_by":{"type":"string","readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"registry_id":{"type":"string","readOnly":false},"registry_type":{"$ref":"#/components/schemas/DeviceIdRegistryType"},"identity_graph_id":{"type":"string","readOnly":false},"plugin_id":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true}},"required":["created_by","created_ts","id","plugin_id","plugin_version_id","registry_type"]},"DeviceIdRegistryType":{"type":"string","enum":["INSTALLATION_ID","MUM_ID","NETWORK_DEVICE_ID","CUSTOM_DEVICE_ID","MOBILE_ADVERTISING_ID","MOBILE_VENDOR_ID","TV_ADVERTISING_ID","IP_V4_ADDRESS_ID","IP_V6_ADDRESS_ID"],"readOnly":false},"PluginCompatibleIdentifyingProfileResource":{"type":"object","properties":{"created_by":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":true},"plugin_id":{"type":"string","readOnly":true},"include_in_platform_calls":{"type":"boolean","default":false,"readOnly":false},"id":{"type":"string","readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"compartment_id":{"type":"string","readOnly":false},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"identity_graph_id":{"type":"string","readOnly":false},"last_modified_by":{"type":"string","readOnly":true}},"required":["created_by","created_ts","id","include_in_platform_calls","plugin_id","plugin_version_id"]},"PresetPropertyResource":{"type":"object","properties":{"technical_name":{"type":"string","readOnly":false},"value":{"$ref":"#/components/schemas/PropertyValueResource"}},"required":["technical_name","value"]},"PropertyValueResource":{"type":"object"},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /plugins/{plugin\_id}/versions/{plugin\_version\_id}/presets/{plugin\_preset\_id}

> Get a Plugin Preset by id

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Presets","description":"Operations related to **Plugin Presets**, the configuration templates that simplify Feed creation by saving technical details (API keys, external account information) once, allowing business users to activate segments without knowing underlying technical details.\n\nRelevant documentation:\n- [Presets](https://developer.mediarithmics.io/advanced-usages/plugins/presets)\n- [Feed Presets](https://userguides.mediarithmics.io/activation/feeds/feed-presets)\n"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/plugins/{plugin_id}/versions/{plugin_version_id}/presets/{plugin_preset_id}":{"get":{"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/PluginPresetResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"summary":"Get a Plugin Preset by id","parameters":[{"name":"plugin_preset_id","style":"simple","in":"path","schema":{"type":"string"},"required":true,"explode":false,"description":"ID of the plugin preset"},{"name":"plugin_id","explode":false,"in":"path","style":"simple","schema":{"type":"string"},"description":"ID of the plugin","required":true},{"required":true,"description":"ID of the plugin version","in":"path","explode":false,"schema":{"type":"string"},"name":"plugin_version_id","style":"simple"}],"description":"","tags":["Presets"],"operationId":"getPluginPreset"}}},"components":{"schemas":{"PluginPresetResource":{"type":"object","properties":{"description":{"type":"string","readOnly":false},"organisation_id":{"type":"string","readOnly":false},"plugin_type":{"$ref":"#/components/schemas/PluginType"},"destination_id":{"type":"string","readOnly":false},"selected_identifying_resources":{"type":"array","items":{"$ref":"#/components/schemas/PluginCompatibleIdentifyingResourceResource"},"readOnly":false},"plugin_version_id":{"type":"string","readOnly":false},"creation_ts":{"readOnly":false,"default":0,"format":"int64","type":"integer"},"id":{"type":"string","readOnly":true},"plugin_id":{"type":"string","readOnly":false},"properties":{"type":"array","items":{"$ref":"#/components/schemas/PresetPropertyResource"},"readOnly":false},"archived":{"type":"boolean","default":false,"readOnly":false},"name":{"type":"string","readOnly":false}},"required":["archived","creation_ts","description","id","name","organisation_id","plugin_id","plugin_type","plugin_version_id","properties"]},"PluginType":{"type":"string","enum":["DISPLAY_CAMPAIGN_EDITOR","EMAIL_CAMPAIGN_EDITOR","EMAIL_TEMPLATE_EDITOR","EMAIL_TEMPLATE_RENDERER","EMAIL_ROUTER","DISPLAY_AD_EDITOR","DISPLAY_AD_RENDERER","RECOMMENDER","VIDEO_AD_EDITOR","VIDEO_AD_RENDERER","STYLE_SHEET","AUDIENCE_SEGMENT_EXTERNAL_FEED","AUDIENCE_SEGMENT_TAG_FEED","BID_OPTIMIZATION_ENGINE","ATTRIBUTION_PROCESSOR","ACTIVITY_ANALYZER","DATA_CONNECTOR","SCENARIO_NODE_PROCESSOR","ML_FUNCTION","DATAMART_FUNCTION","COMPUTED_FIELD_FUNCTION","INTEGRATION_BATCH","SCENARIO_CUSTOM_ACTION","CONTEXTUAL_LIST_TAG_FEED"],"readOnly":false},"PluginCompatibleIdentifyingResourceResource":{"discriminator":{"propertyName":"type","mapping":{"USER_ACCOUNT":"#/components/schemas/PluginCompatibleIdentifyingAccountResource","USER_EMAIL":"#/components/schemas/PluginCompatibleIdentifyingEmailResource","USER_DEVICE_TECHNICAL_ID":"#/components/schemas/PluginCompatibleIdentifyingDeviceTechnicalIdResource","USER_PROFILE":"#/components/schemas/PluginCompatibleIdentifyingProfileResource"}},"oneOf":[{"$ref":"#/components/schemas/PluginCompatibleIdentifyingAccountResource"},{"$ref":"#/components/schemas/PluginCompatibleIdentifyingEmailResource"},{"$ref":"#/components/schemas/PluginCompatibleIdentifyingDeviceTechnicalIdResource"},{"$ref":"#/components/schemas/PluginCompatibleIdentifyingProfileResource"}],"properties":{"type":{"type":"string","enum":["USER_ACCOUNT","USER_EMAIL","USER_DEVICE_TECHNICAL_ID","USER_PROFILE"]}},"required":["type"]},"PluginCompatibleIdentifyingAccountResource":{"type":"object","properties":{"created_by":{"type":"string","readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"plugin_id":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":true},"id":{"type":"string","readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"compartment_type":{"$ref":"#/components/schemas/UserAccountCompartmentType"},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"identity_graph_id":{"type":"string","readOnly":false},"compartment_id":{"type":"string","readOnly":false}},"required":["compartment_type","created_by","created_ts","id","plugin_id","plugin_version_id"]},"UserAccountCompartmentType":{"type":"string","enum":["CUSTOM_COMPARTMENT_ID","NETWORK_USER_ID"],"readOnly":false},"PluginCompatibleIdentifyingEmailResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"created_by":{"type":"string","readOnly":true},"plugin_id":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":true},"identity_graph_id":{"type":"string","readOnly":false}},"required":["created_by","created_ts","id","plugin_id","plugin_version_id"]},"PluginCompatibleIdentifyingDeviceTechnicalIdResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"created_by":{"type":"string","readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"registry_id":{"type":"string","readOnly":false},"registry_type":{"$ref":"#/components/schemas/DeviceIdRegistryType"},"identity_graph_id":{"type":"string","readOnly":false},"plugin_id":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true}},"required":["created_by","created_ts","id","plugin_id","plugin_version_id","registry_type"]},"DeviceIdRegistryType":{"type":"string","enum":["INSTALLATION_ID","MUM_ID","NETWORK_DEVICE_ID","CUSTOM_DEVICE_ID","MOBILE_ADVERTISING_ID","MOBILE_VENDOR_ID","TV_ADVERTISING_ID","IP_V4_ADDRESS_ID","IP_V6_ADDRESS_ID"],"readOnly":false},"PluginCompatibleIdentifyingProfileResource":{"type":"object","properties":{"created_by":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":true},"plugin_id":{"type":"string","readOnly":true},"include_in_platform_calls":{"type":"boolean","default":false,"readOnly":false},"id":{"type":"string","readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"compartment_id":{"type":"string","readOnly":false},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"identity_graph_id":{"type":"string","readOnly":false},"last_modified_by":{"type":"string","readOnly":true}},"required":["created_by","created_ts","id","include_in_platform_calls","plugin_id","plugin_version_id"]},"PresetPropertyResource":{"type":"object","properties":{"technical_name":{"type":"string","readOnly":false},"value":{"$ref":"#/components/schemas/PropertyValueResource"}},"required":["technical_name","value"]},"PropertyValueResource":{"type":"object"},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## PUT /plugins/{plugin\_id}/versions/{plugin\_version\_id}/presets/{plugin\_preset\_id}

> Update a Plugin Preset

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Presets","description":"Operations related to **Plugin Presets**, the configuration templates that simplify Feed creation by saving technical details (API keys, external account information) once, allowing business users to activate segments without knowing underlying technical details.\n\nRelevant documentation:\n- [Presets](https://developer.mediarithmics.io/advanced-usages/plugins/presets)\n- [Feed Presets](https://userguides.mediarithmics.io/activation/feeds/feed-presets)\n"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/plugins/{plugin_id}/versions/{plugin_version_id}/presets/{plugin_preset_id}":{"put":{"summary":"Update a Plugin Preset","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/PluginPresetResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"updatePluginPreset","description":"","requestBody":{"description":"The plugin preset fields to update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PluginPresetResource"}}},"required":true},"tags":["Presets"],"parameters":[{"style":"simple","in":"path","required":true,"description":"ID of the plugin preset","name":"plugin_preset_id","explode":false,"schema":{"type":"string"}},{"name":"plugin_id","in":"path","description":"ID of the plugin","explode":false,"schema":{"type":"string"},"required":true,"style":"simple"},{"description":"ID of the plugin version","style":"simple","in":"path","schema":{"type":"string"},"name":"plugin_version_id","required":true,"explode":false}]}}},"components":{"schemas":{"PluginPresetResource":{"type":"object","properties":{"description":{"type":"string","readOnly":false},"organisation_id":{"type":"string","readOnly":false},"plugin_type":{"$ref":"#/components/schemas/PluginType"},"destination_id":{"type":"string","readOnly":false},"selected_identifying_resources":{"type":"array","items":{"$ref":"#/components/schemas/PluginCompatibleIdentifyingResourceResource"},"readOnly":false},"plugin_version_id":{"type":"string","readOnly":false},"creation_ts":{"readOnly":false,"default":0,"format":"int64","type":"integer"},"id":{"type":"string","readOnly":true},"plugin_id":{"type":"string","readOnly":false},"properties":{"type":"array","items":{"$ref":"#/components/schemas/PresetPropertyResource"},"readOnly":false},"archived":{"type":"boolean","default":false,"readOnly":false},"name":{"type":"string","readOnly":false}},"required":["archived","creation_ts","description","id","name","organisation_id","plugin_id","plugin_type","plugin_version_id","properties"]},"PluginType":{"type":"string","enum":["DISPLAY_CAMPAIGN_EDITOR","EMAIL_CAMPAIGN_EDITOR","EMAIL_TEMPLATE_EDITOR","EMAIL_TEMPLATE_RENDERER","EMAIL_ROUTER","DISPLAY_AD_EDITOR","DISPLAY_AD_RENDERER","RECOMMENDER","VIDEO_AD_EDITOR","VIDEO_AD_RENDERER","STYLE_SHEET","AUDIENCE_SEGMENT_EXTERNAL_FEED","AUDIENCE_SEGMENT_TAG_FEED","BID_OPTIMIZATION_ENGINE","ATTRIBUTION_PROCESSOR","ACTIVITY_ANALYZER","DATA_CONNECTOR","SCENARIO_NODE_PROCESSOR","ML_FUNCTION","DATAMART_FUNCTION","COMPUTED_FIELD_FUNCTION","INTEGRATION_BATCH","SCENARIO_CUSTOM_ACTION","CONTEXTUAL_LIST_TAG_FEED"],"readOnly":false},"PluginCompatibleIdentifyingResourceResource":{"discriminator":{"propertyName":"type","mapping":{"USER_ACCOUNT":"#/components/schemas/PluginCompatibleIdentifyingAccountResource","USER_EMAIL":"#/components/schemas/PluginCompatibleIdentifyingEmailResource","USER_DEVICE_TECHNICAL_ID":"#/components/schemas/PluginCompatibleIdentifyingDeviceTechnicalIdResource","USER_PROFILE":"#/components/schemas/PluginCompatibleIdentifyingProfileResource"}},"oneOf":[{"$ref":"#/components/schemas/PluginCompatibleIdentifyingAccountResource"},{"$ref":"#/components/schemas/PluginCompatibleIdentifyingEmailResource"},{"$ref":"#/components/schemas/PluginCompatibleIdentifyingDeviceTechnicalIdResource"},{"$ref":"#/components/schemas/PluginCompatibleIdentifyingProfileResource"}],"properties":{"type":{"type":"string","enum":["USER_ACCOUNT","USER_EMAIL","USER_DEVICE_TECHNICAL_ID","USER_PROFILE"]}},"required":["type"]},"PluginCompatibleIdentifyingAccountResource":{"type":"object","properties":{"created_by":{"type":"string","readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"plugin_id":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":true},"id":{"type":"string","readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"compartment_type":{"$ref":"#/components/schemas/UserAccountCompartmentType"},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"identity_graph_id":{"type":"string","readOnly":false},"compartment_id":{"type":"string","readOnly":false}},"required":["compartment_type","created_by","created_ts","id","plugin_id","plugin_version_id"]},"UserAccountCompartmentType":{"type":"string","enum":["CUSTOM_COMPARTMENT_ID","NETWORK_USER_ID"],"readOnly":false},"PluginCompatibleIdentifyingEmailResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"created_by":{"type":"string","readOnly":true},"plugin_id":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":true},"identity_graph_id":{"type":"string","readOnly":false}},"required":["created_by","created_ts","id","plugin_id","plugin_version_id"]},"PluginCompatibleIdentifyingDeviceTechnicalIdResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"created_by":{"type":"string","readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"registry_id":{"type":"string","readOnly":false},"registry_type":{"$ref":"#/components/schemas/DeviceIdRegistryType"},"identity_graph_id":{"type":"string","readOnly":false},"plugin_id":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true}},"required":["created_by","created_ts","id","plugin_id","plugin_version_id","registry_type"]},"DeviceIdRegistryType":{"type":"string","enum":["INSTALLATION_ID","MUM_ID","NETWORK_DEVICE_ID","CUSTOM_DEVICE_ID","MOBILE_ADVERTISING_ID","MOBILE_VENDOR_ID","TV_ADVERTISING_ID","IP_V4_ADDRESS_ID","IP_V6_ADDRESS_ID"],"readOnly":false},"PluginCompatibleIdentifyingProfileResource":{"type":"object","properties":{"created_by":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":true},"plugin_id":{"type":"string","readOnly":true},"include_in_platform_calls":{"type":"boolean","default":false,"readOnly":false},"id":{"type":"string","readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"compartment_id":{"type":"string","readOnly":false},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"identity_graph_id":{"type":"string","readOnly":false},"last_modified_by":{"type":"string","readOnly":true}},"required":["created_by","created_ts","id","include_in_platform_calls","plugin_id","plugin_version_id"]},"PresetPropertyResource":{"type":"object","properties":{"technical_name":{"type":"string","readOnly":false},"value":{"$ref":"#/components/schemas/PropertyValueResource"}},"required":["technical_name","value"]},"PropertyValueResource":{"type":"object"},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.mediarithmics.io/api-reference/plugin/presets.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
